Skip to Content
New release 12 available 🎉

Events

GET/v1/webhooks/subscriptions/{id}/eventsGET /v1/webhooks/subscriptions/{id}/events

Code samples

# You can also use wget curl -X GET /v1/webhooks/subscriptions/{id}/events \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/webhooks/subscriptions/\{id\}/events

Gets all events for a specific webhook subscription.

Parameters

NameInTypeRequiredDescription
idpathinteger(int32)trueThe subscription ID.
selectquerystringfalsenone
filterquerystringfalsenone
sortquerystringfalsenone
includequerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"events":[{"id":0,"webhookSubscriptionId":0,"eventType":"string","payload":"string","statusCode":0,"response":"string","errorMessage":"string","isSuccess":true,"retryCount":0,"sentAt":"2019-08-24T14:15:22Z","nextRetryAt":"2019-08-24T14:15:22Z","createdAt":"2019-08-24T14:15:22Z"}],"totalEventsCount":0,"success":true,"message":"string"}
{ "events": [ { "id": 0, "webhookSubscriptionId": 0, "eventType": "string", "payload": "string", "statusCode": 0, "response": "string", "errorMessage": "string", "isSuccess": true, "retryCount": 0, "sentAt": "2019-08-24T14:15:22Z", "nextRetryAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ], "totalEventsCount": 0, "success": true, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetWebhookEventsResponse

Authentication: API key (x-api-key).

DELETE/v1/webhooks/subscriptions/{id}/events/{eventId}DELETE /v1/webhooks/subscriptions/{id}/events/{eventId}

Code samples

# You can also use wget curl -X DELETE /v1/webhooks/subscriptions/{id}/events/{eventId} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

DELETE /v1/webhooks/subscriptions/\{id\}/events/\{eventId\}

Deletes a webhook event.

Parameters

NameInTypeRequiredDescription
idpathinteger(int32)trueThe subscription ID.
eventIdpathinteger(int32)trueThe event ID.

Example responses

200 Response

{"success":true,"message":"string"}
{ "success": true, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.DeleteWebhookEventResponse

Authentication: API key (x-api-key).

Last updated on